Bug 854213 - Discrepancy between the Fedora version 1.5.12 of wine and the wine vanilla version 1.5.12 from winehq.org.
Discrepancy between the Fedora version 1.5.12 of wine and the wine vanilla ve...
Product: Fedora
Classification: Fedora
Component: wine (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2012-09-04 07:45 EDT by Joachim Backes
Modified: 2013-07-31 14:31 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-07-31 14:31:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Joachim Backes 2012-09-04 07:45:01 EDT
Description of problem:
I'm running the german tax program "WISO Steuersparbuch" with version 7971. Now I tried to update this version to version 7993 but executing the program WISOSteuersoftware2012Update197993.exe wich is provided by the WISO company.

But the update fails, I got a wine backtrace:

Unhandled exception: 0xe0434f4d in 32-bit code (0x7b83a763).
Register dump:
 CS:0023 SS:002b DS:002b ES:002b FS:0063 GS:006b
 EIP:7b83a763 ESP:0033eea4 EBP:0033ef08 EFLAGS:00000283(   - --  I S - - -C)
 EAX:7b8267e5 EBX:7b8acff4 ECX:80004005 EDX:0033eec4
 ESI:e0434f4d EDI:e0434f4d
Stack dump:
0x0033eea4:  0033ef40 00000004 79fd4e9d e0434f4d
0x0033eeb4:  00000001 00000000 7b83a763 00000001
0x0033eec4:  80004005 e0434f4d 0033ef40 790c2000
0x0033eed4:  02000036 0033eeec 79e814da 0033eef8
0x0033eee4:  02000036 00000001 0033ef68 79e87ff4
0x0033eef4:  0000012c 790fabcc 7b83a71a 001403f8
=>0 0x7b83a763 in kernel32 (+0x2a763) (0x0033ef08)
  1 0x79f97065 in mscorwks (+0x127064) (0x0033ef68)
  2 0x79f972d0 in mscorwks (+0x1272cf) (0x0033efa0)
  3 0x7a044dbc in mscorwks (+0x1d4dbb) (0x0033f12c)
  4 0x0393438a (0x0033f168)
  5 0x02b4d780 (0x0033f1d4)
  6 0x02b4d6b7 (0x008dad54)
  7 0x00000000 (0x038f1b94)
  8 0x000001cc (0x001c0000)
0x7b83a763: subl	$4,%esp
Module	Address			Debug info	Name (126 modules)
PE	  400000-  44c000	Deferred        bdmsc
PE	 2b90000- 3816000	Deferred        system.windows.forms.ni
PE	 3820000- 3846000	Deferred        buhl.bdmscclasses
PE	 3880000- 38a8000	Deferred        buhl.bdmscutils
PE	 39a0000- 39f6000	Deferred        buhlbrowser20
PE	 3a70000- 3a7a000	Deferred        buhl.xml
PE	 3a90000- 3a98000	Deferred        buhlmetapluginmanager
PE	 3ab0000- 3ae8000	Deferred        buhl.bdmscdialogs
PE	 3e80000- 3e92000	Deferred        buhlofflineregistration
PE	 3ec0000- 3ecc000	Deferred        buhlwizardpages
PE	 4960000- 5106000	Deferred        microsoft.mshtml
PE	 64d0000- 6a99000	Deferred        ieframe
PE	1a400000-1a433000	Deferred        urlmon
ELF	4ca87000-4ca90000	Deferred        libsm.so.6
ELF	4ca92000-4caac000	Deferred        libice.so.6
ELF	4e7bf000-4e7d8000	Deferred        libresolv.so.2
ELF	4e957000-4e96d000	Deferred        libz.so.1
ELF	4e996000-4ea36000	Deferred        libfreetype.so.6
ELF	4ea38000-4ea6d000	Deferred        libfontconfig.so.1
ELF	4ea6f000-4ea73000	Deferred        libxau.so.6
ELF	4ea75000-4ea9e000	Deferred        libexpat.so.1
ELF	4eaa0000-4ebd8000	Deferred        libx11.so.6
ELF	4ec87000-4ec91000	Deferred        libxrender.so.1
ELF	4ec93000-4ecb5000	Deferred        libxcb.so.1
ELF	4ecb7000-4ecc7000	Deferred        libxi.so.6
ELF	4ecc9000-4eccd000	Deferred        libxcomposite.so.1
ELF	4eccf000-4ecd8000	Deferred        libxrandr.so.2
ELF	4ece0000-4ecf2000	Deferred        libxext.so.6
ELF	4f3b5000-4f3bb000	Deferred        libxfixes.so.3
ELF	4f3ef000-4f3f3000	Deferred        libxinerama.so.1
ELF	4f3f5000-4f400000	Deferred        libxcursor.so.1
PE	5dca0000-5dce5000	Deferred        iertutil
PE	5e380000-5e409000	Deferred        diasymreader
PE	60000000-60014000	Deferred        accessibility.ni
PE	64020000-64033000	Deferred        mscorsec
PE	78130000-781cb000	Deferred        msvcr80
PE	79000000-79045000	Deferred        mscoree
PE	79060000-790b3000	Deferred        mscorjit
PE	790c0000-79ba8000	Deferred        mscorlib.ni
PE	79e70000-7a3d1000	Export          mscorwks
PE	7a440000-7abfe000	Deferred        system.ni
PE	7ade0000-7af74000	Deferred        system.drawing.ni
ELF	7b800000-7ba3d000	Dwarf           kernel32<elf>
  \-PE	7b810000-7ba3d000	\               kernel32
ELF	7bc00000-7bcd4000	Deferred        ntdll<elf>
  \-PE	7bc10000-7bcd4000	\               ntdll
ELF	7bf00000-7bf04000	Deferred        <wine-loader>
ELF	7db7f000-7dba6000	Deferred        mpr<elf>
  \-PE	7db90000-7dba6000	\               mpr
ELF	7dba6000-7dc1d000	Deferred        wininet<elf>
  \-PE	7dbb0000-7dc1d000	\               wininet
ELF	7dc1d000-7dc37000	Deferred        sxs<elf>
  \-PE	7dc20000-7dc37000	\               sxs
ELF	7dc37000-7dc4b000	Deferred        psapi<elf>
  \-PE	7dc40000-7dc4b000	\               psapi
ELF	7dc4b000-7dc77000	Deferred        shdocvw<elf>
  \-PE	7dc50000-7dc77000	\               shdocvw
ELF	7dc99000-7dcda000	Deferred        usp10<elf>
  \-PE	7dca0000-7dcda000	\               usp10
ELF	7dcda000-7dd84000	Deferred        windowscodecs<elf>
  \-PE	7dcf0000-7dd84000	\               windowscodecs
ELF	7dd84000-7de09000	Deferred        gdiplus<elf>
  \-PE	7dd90000-7de09000	\               gdiplus
ELF	7de09000-7de1b000	Deferred        libp11-kit.so.0
ELF	7de1b000-7de9c000	Deferred        libgcrypt.so.11
ELF	7de9c000-7df5c000	Deferred        libgnutls.so.26
ELF	7df86000-7dfba000	Deferred        ws2_32<elf>
  \-PE	7df90000-7dfba000	\               ws2_32
ELF	7e01b000-7e146000	Deferred        oleaut32<elf>
  \-PE	7e030000-7e146000	\               oleaut32
ELF	7e146000-7e36f000	Deferred        shell32<elf>
  \-PE	7e150000-7e36f000	\               shell32
ELF	7e395000-7e39a000	Deferred        libgpg-error.so.0
ELF	7e39a000-7e3ac000	Deferred        libtasn1.so.3
ELF	7e3ac000-7e3d0000	Deferred        iphlpapi<elf>
  \-PE	7e3b0000-7e3d0000	\               iphlpapi
ELF	7e3d0000-7e3fd000	Deferred        netapi32<elf>
  \-PE	7e3e0000-7e3fd000	\               netapi32
ELF	7e3fd000-7e42e000	Deferred        secur32<elf>
  \-PE	7e400000-7e42e000	\               secur32
ELF	7e42e000-7e442000	Deferred        shfolder<elf>
  \-PE	7e430000-7e442000	\               shfolder
ELF	7e442000-7e4c2000	Deferred        rpcrt4<elf>
  \-PE	7e450000-7e4c2000	\               rpcrt4
ELF	7e4c2000-7e5ed000	Deferred        ole32<elf>
  \-PE	7e4e0000-7e5ed000	\               ole32
ELF	7e5ed000-7e62f000	Deferred        rsaenh<elf>
  \-PE	7e5f0000-7e62f000	\               rsaenh
ELF	7e62f000-7e649000	Deferred        imagehlp<elf>
  \-PE	7e630000-7e649000	\               imagehlp
ELF	7e649000-7e65d000	Deferred        softpub<elf>
  \-PE	7e650000-7e65d000	\               softpub
ELF	7e65d000-7e693000	Deferred        uxtheme<elf>
  \-PE	7e660000-7e693000	\               uxtheme
ELF	7e693000-7e796000	Deferred        comctl32<elf>
  \-PE	7e6a0000-7e796000	\               comctl32
ELF	7e796000-7e85e000	Deferred        crypt32<elf>
  \-PE	7e7a0000-7e85e000	\               crypt32
ELF	7e85e000-7e894000	Deferred        wintrust<elf>
  \-PE	7e860000-7e894000	\               wintrust
ELF	7e894000-7e933000	Deferred        msvcrt<elf>
  \-PE	7e8b0000-7e933000	\               msvcrt
ELF	7e9ba000-7e9de000	Deferred        imm32<elf>
  \-PE	7e9c0000-7e9de000	\               imm32
ELF	7ea08000-7ea98000	Deferred        winex11<elf>
  \-PE	7ea10000-7ea98000	\               winex11
ELF	7ea98000-7eb6c000	Deferred        gdi32<elf>
  \-PE	7eaa0000-7eb6c000	\               gdi32
ELF	7eb6c000-7ecc0000	Deferred        user32<elf>
  \-PE	7eb80000-7ecc0000	\               user32
ELF	7ecc0000-7ed33000	Deferred        shlwapi<elf>
  \-PE	7ecd0000-7ed33000	\               shlwapi
ELF	7ed33000-7ed9e000	Deferred        advapi32<elf>
  \-PE	7ed40000-7ed9e000	\               advapi32
ELF	7ed9e000-7edab000	Deferred        libnss_files.so.2
ELF	7efab000-7efd6000	Deferred        libm.so.6
ELF	7efe0000-7efe6000	Deferred        libxxf86vm.so.1
ELF	7efe6000-7f000000	Deferred        version<elf>
  \-PE	7eff0000-7f000000	\               version
ELF	f7453000-f7458000	Deferred        libdl.so.2
ELF	f7458000-f760a000	Deferred        libc.so.6
ELF	f760a000-f7624000	Deferred        libpthread.so.0
ELF	f7624000-f7768000	Dwarf           libwine.so.1
ELF	f776a000-f7770000	Deferred        libuuid.so.1
ELF	f7793000-f77b4000	Deferred        ld-linux.so.2
ELF	f77b4000-f77b5000	Deferred        [vdso].so
process  tid      prio (all id:s are in hex)
0000000c explorer.exe
	0000000d    0
0000002d wmain12.dll
	00000028    0
	0000000b    0
	00000040    0
	0000003f    0
	0000002e    0
00000021 rsPatcher.exe
	00000016    0
00000018 (D) C:\Program Files\WISO\Steuersoftware 2012\on4u3\bdmsc.exe
	00000030    0
	00000037    0
	00000038    2
	0000002c    0
	00000020    0 <==
System information:
    Wine build: wine-1.5.12
    Platform: i386
    Host system: Linux
    Host version: 3.5.3-1.fc17.x86_64

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.Install the WISO program (I guess, not possible for you)
2.Run the updater by "wine WISOSteuersoftware2012Update197993.exe"
Actual results:
Stops with error message "es ist ein fehler aufgetreten: specified update directory C does not exist" (translated: "some error happened: specified update directory C does not exist"

Expected results:
update performed

Additional info:

If I use the original wine-1.5.12.tar.bz2 (downloaded from sourceforge.net), compile and install wine-1.5.12 and run the updater: Passes without any flaw. And now, I can run the updated WISO version with wine-1.5.12-2.fc17.x86_64 flawlessly too.

I think, something went wrong when adapting wine-1.5.12 to Fedora 17.
Comment 1 Andreas Bierfert 2012-09-06 04:56:13 EDT
Could you please specify what wine packages you have installed.
Comment 2 Joachim Backes 2012-09-06 05:06:58 EDT
1. In F17: wine-1.5.12-2.fc17.x86_64
2. http://sourceforge.net/projects/wine/files/Source/wine-1.5.12.tar.bz2/download
Comment 3 Joachim Backes 2012-09-06 05:08:55 EDT
Installed packages:

Comment 4 Joachim Backes 2012-09-18 13:46:17 EDT
Same with wine-1.5.13
Comment 5 Andreas Bierfert 2012-09-18 17:22:17 EDT
Thanks for reporting back. On a hunch: Could you remove mingw32-wine-gecko and mingw64-wine-gecko (this will remove the wine meta package) and try with a clean wine prefix (by setting the WINEPREFIX environment variable to a sensible value).

Afterwards run winecfg, which will setup the prefix and download wine gecko from winehq and try to run the updater again.
Comment 6 Joachim Backes 2012-09-19 03:39:37 EDT
Seems I found out why the updater failed: In earlier WISO versions, the program was stored in '~/.wine/drive_c/Program Files', but the newer updater tried it in '~/.wine/drive_c/Program Files (x86)'. But '~/.wine/drive_c/Program Files (x86)' did not exist!

Now I removed ~/.wine and ~/.local/share/applications/wine and reinstalled the WISO software. This was OK. After this, I installed the problematic updater, and see, this was OK too :-))). 

No I'm working flawlessly with the completely new installed WISO software (no wine vanilla version was needed).

Remark: I did all this using wine-1.5.13 and without $WINEPREFIX env.

I suspect: The wine vanilla version uses '~/.wine/drive_c/Program Files (x86)', but the fedora version seems to use '~/.wine/drive_c/Program Files'.

Please feel free to ask for more details. I hope I can help you.

Kind regards

Joachim Backes
Comment 7 Fedora End Of Life 2013-07-03 15:41:34 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2013-07-31 14:31:11 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.